package com.os.ems.info.mapper;

import java.util.List;
import com.os.ems.info.domain.LuggageSystemPlcBufferBatteryLifecycle;

/**
 * 行李系统PLC缓冲电池生命周期Mapper接口
 * 
 * @author Yinq
 * @date 2025-06-05
 */
public interface LuggageSystemPlcBufferBatteryLifecycleMapper 
{
    /**
     * 查询行李系统PLC缓冲电池生命周期
     * 
     * @param objid 行李系统PLC缓冲电池生命周期主键
     * @return 行李系统PLC缓冲电池生命周期
     */
    public LuggageSystemPlcBufferBatteryLifecycle selectLuggageSystemPlcBufferBatteryLifecycleByObjid(Long objid);

    /**
     * 查询行李系统PLC缓冲电池生命周期列表
     * 
     * @param luggageSystemPlcBufferBatteryLifecycle 行李系统PLC缓冲电池生命周期
     * @return 行李系统PLC缓冲电池生命周期集合
     */
    public List<LuggageSystemPlcBufferBatteryLifecycle> selectLuggageSystemPlcBufferBatteryLifecycleList(LuggageSystemPlcBufferBatteryLifecycle luggageSystemPlcBufferBatteryLifecycle);

    /**
     * 新增行李系统PLC缓冲电池生命周期
     * 
     * @param luggageSystemPlcBufferBatteryLifecycle 行李系统PLC缓冲电池生命周期
     * @return 结果
     */
    public int insertLuggageSystemPlcBufferBatteryLifecycle(LuggageSystemPlcBufferBatteryLifecycle luggageSystemPlcBufferBatteryLifecycle);

    /**
     * 修改行李系统PLC缓冲电池生命周期
     * 
     * @param luggageSystemPlcBufferBatteryLifecycle 行李系统PLC缓冲电池生命周期
     * @return 结果
     */
    public int updateLuggageSystemPlcBufferBatteryLifecycle(LuggageSystemPlcBufferBatteryLifecycle luggageSystemPlcBufferBatteryLifecycle);

    /**
     * 删除行李系统PLC缓冲电池生命周期
     * 
     * @param objid 行李系统PLC缓冲电池生命周期主键
     * @return 结果
     */
    public int deleteLuggageSystemPlcBufferBatteryLifecycleByObjid(Long objid);

    /**
     * 批量删除行李系统PLC缓冲电池生命周期
     * 
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLuggageSystemPlcBufferBatteryLifecycleByObjids(Long[] objids);
}
