package com.os.ems.info.mapper;

import java.util.List;
import com.os.ems.info.domain.PowerEnergySparePartsRegistration;

/**
 * 动力能源部行输科废旧备件登记Mapper接口
 * 
 * @author Yinq
 * @date 2025-06-06
 */
public interface PowerEnergySparePartsRegistrationMapper 
{
    /**
     * 查询动力能源部行输科废旧备件登记
     * 
     * @param objid 动力能源部行输科废旧备件登记主键
     * @return 动力能源部行输科废旧备件登记
     */
    public PowerEnergySparePartsRegistration selectPowerEnergySparePartsRegistrationByObjid(Long objid);

    /**
     * 查询动力能源部行输科废旧备件登记列表
     * 
     * @param powerEnergySparePartsRegistration 动力能源部行输科废旧备件登记
     * @return 动力能源部行输科废旧备件登记集合
     */
    public List<PowerEnergySparePartsRegistration> selectPowerEnergySparePartsRegistrationList(PowerEnergySparePartsRegistration powerEnergySparePartsRegistration);

    /**
     * 新增动力能源部行输科废旧备件登记
     * 
     * @param powerEnergySparePartsRegistration 动力能源部行输科废旧备件登记
     * @return 结果
     */
    public int insertPowerEnergySparePartsRegistration(PowerEnergySparePartsRegistration powerEnergySparePartsRegistration);

    /**
     * 修改动力能源部行输科废旧备件登记
     * 
     * @param powerEnergySparePartsRegistration 动力能源部行输科废旧备件登记
     * @return 结果
     */
    public int updatePowerEnergySparePartsRegistration(PowerEnergySparePartsRegistration powerEnergySparePartsRegistration);

    /**
     * 删除动力能源部行输科废旧备件登记
     * 
     * @param objid 动力能源部行输科废旧备件登记主键
     * @return 结果
     */
    public int deletePowerEnergySparePartsRegistrationByObjid(Long objid);

    /**
     * 批量删除动力能源部行输科废旧备件登记
     * 
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePowerEnergySparePartsRegistrationByObjids(Long[] objids);
}
