package com.os.ems.info.mapper;

import java.util.List;
import com.os.ems.info.domain.PowerEnergySupervisionChecklist;

/**
 * 动力能源部监督检查清单Mapper接口
 * 
 * @author Yinq
 * @date 2025-06-05
 */
public interface PowerEnergySupervisionChecklistMapper 
{
    /**
     * 查询动力能源部监督检查清单
     * 
     * @param id 动力能源部监督检查清单主键
     * @return 动力能源部监督检查清单
     */
    public PowerEnergySupervisionChecklist selectPowerEnergySupervisionChecklistById(Long id);

    /**
     * 查询动力能源部监督检查清单列表
     * 
     * @param powerEnergySupervisionChecklist 动力能源部监督检查清单
     * @return 动力能源部监督检查清单集合
     */
    public List<PowerEnergySupervisionChecklist> selectPowerEnergySupervisionChecklistList(PowerEnergySupervisionChecklist powerEnergySupervisionChecklist);

    /**
     * 新增动力能源部监督检查清单
     * 
     * @param powerEnergySupervisionChecklist 动力能源部监督检查清单
     * @return 结果
     */
    public int insertPowerEnergySupervisionChecklist(PowerEnergySupervisionChecklist powerEnergySupervisionChecklist);

    /**
     * 修改动力能源部监督检查清单
     * 
     * @param powerEnergySupervisionChecklist 动力能源部监督检查清单
     * @return 结果
     */
    public int updatePowerEnergySupervisionChecklist(PowerEnergySupervisionChecklist powerEnergySupervisionChecklist);

    /**
     * 删除动力能源部监督检查清单
     * 
     * @param id 动力能源部监督检查清单主键
     * @return 结果
     */
    public int deletePowerEnergySupervisionChecklistById(Long id);

    /**
     * 批量删除动力能源部监督检查清单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePowerEnergySupervisionChecklistByIds(Long[] ids);
}
