package com.os.ems.info.service;

import java.util.List;
import com.os.ems.info.domain.SparePartsInventoryCheck;

/**
 * 备件盘点记录明细Service接口
 * 
 * @author Yinq
 * @date 2025-06-05
 */
public interface ISparePartsInventoryCheckService 
{
    /**
     * 查询备件盘点记录明细
     * 
     * @param id 备件盘点记录明细主键
     * @return 备件盘点记录明细
     */
    public SparePartsInventoryCheck selectSparePartsInventoryCheckById(Long id);

    /**
     * 查询备件盘点记录明细列表
     * 
     * @param sparePartsInventoryCheck 备件盘点记录明细
     * @return 备件盘点记录明细集合
     */
    public List<SparePartsInventoryCheck> selectSparePartsInventoryCheckList(SparePartsInventoryCheck sparePartsInventoryCheck);

    /**
     * 新增备件盘点记录明细
     * 
     * @param sparePartsInventoryCheck 备件盘点记录明细
     * @return 结果
     */
    public int insertSparePartsInventoryCheck(SparePartsInventoryCheck sparePartsInventoryCheck);

    /**
     * 修改备件盘点记录明细
     * 
     * @param sparePartsInventoryCheck 备件盘点记录明细
     * @return 结果
     */
    public int updateSparePartsInventoryCheck(SparePartsInventoryCheck sparePartsInventoryCheck);

    /**
     * 批量删除备件盘点记录明细
     * 
     * @param ids 需要删除的备件盘点记录明细主键集合
     * @return 结果
     */
    public int deleteSparePartsInventoryCheckByIds(Long[] ids);

    /**
     * 删除备件盘点记录明细信息
     * 
     * @param id 备件盘点记录明细主键
     * @return 结果
     */
    public int deleteSparePartsInventoryCheckById(Long id);

    /**
     * 导入备件盘点记录明细数据
     *
     * @param recordList 记录数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName 操作用户
     * @return 结果
     */
    public String importSparePartsInventoryCheck(List<SparePartsInventoryCheck> recordList, Boolean isUpdateSupport, String operName);
}
