package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * erp员工工资
 * 
 * @author Yinq
 * @date 2024-07-02
 */
public class ERPStaffSalary
{
    private static final long serialVersionUID = 1L;

    /**
     * 应用代码
     */
    @JsonProperty(value = "AppCode")
    private String AppCode;

    /**
     * 控制器
     */
    @JsonProperty(value = "Controller")
    private String Controller;

    /**
     * 动作名称
     */
    @JsonProperty(value = "ActionName")
    private String ActionName;

    /** 身份证 */
    @JsonProperty(value = "IDCard")
    private String idCard;

    /** 班组编号 */
    @JsonProperty(value = "GroupID")
    private String groupId;

    /** 事件日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @JsonProperty(value = "EventDate")
    private Date eventDate;

    /** 薪资类别 */
    @JsonProperty(value = "SalaryCategory")
    private String salaryCategory;

    /** 收入大类 */
    @JsonProperty(value = "RevenueClass")
    private String revenueClass;

    /** 收入金额 */
    @JsonProperty(value = "RevenueAmount")
    private BigDecimal revenueAmount;

    /** 收入理由 */
    @JsonProperty(value = "RevenueReason")
    private String revenueReason;

    /** 扣罚大类 */
    @JsonProperty(value = "FineClass")
    private String fineClass;

    /** 扣罚金额 */
    @JsonProperty(value = "FineAmount")
    private BigDecimal fineAmount;

    /** 扣罚理由 */
    @JsonProperty(value = "fineReason")
    private String fineReason;

    public String getAppCode() {
        return AppCode;
    }

    public void setAppCode(String appCode) {
        AppCode = appCode;
    }

    public String getController() {
        return Controller;
    }

    public void setController(String controller) {
        Controller = controller;
    }

    public String getActionName() {
        return ActionName;
    }

    public void setActionName(String actionName) {
        ActionName = actionName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public Date getEventDate() {
        return eventDate;
    }

    public void setEventDate(Date eventDate) {
        this.eventDate = eventDate;
    }

    public String getSalaryCategory() {
        return salaryCategory;
    }

    public void setSalaryCategory(String salaryCategory) {
        this.salaryCategory = salaryCategory;
    }

    public String getRevenueClass() {
        return revenueClass;
    }

    public void setRevenueClass(String revenueClass) {
        this.revenueClass = revenueClass;
    }

    public BigDecimal getRevenueAmount() {
        return revenueAmount;
    }

    public void setRevenueAmount(BigDecimal revenueAmount) {
        this.revenueAmount = revenueAmount;
    }

    public String getRevenueReason() {
        return revenueReason;
    }

    public void setRevenueReason(String revenueReason) {
        this.revenueReason = revenueReason;
    }

    public String getFineClass() {
        return fineClass;
    }

    public void setFineClass(String fineClass) {
        this.fineClass = fineClass;
    }

    public BigDecimal getFineAmount() {
        return fineAmount;
    }

    public void setFineAmount(BigDecimal fineAmount) {
        this.fineAmount = fineAmount;
    }

    public String getFineReason() {
        return fineReason;
    }

    public void setFineReason(String fineReason) {
        this.fineReason = fineReason;
    }

    @Override
    public String toString() {
        return "ERPStaffSalary{" +
                "AppCode='" + AppCode + '\'' +
                ", Controller='" + Controller + '\'' +
                ", ActionName='" + ActionName + '\'' +
                ", idCard='" + idCard + '\'' +
                ", groupId='" + groupId + '\'' +
                ", eventDate=" + eventDate +
                ", salaryCategory='" + salaryCategory + '\'' +
                ", revenueClass='" + revenueClass + '\'' +
                ", revenueAmount=" + revenueAmount +
                ", revenueReason='" + revenueReason + '\'' +
                ", fineClass='" + fineClass + '\'' +
                ", fineAmount=" + fineAmount +
                ", fineReason='" + fineReason + '\'' +
                '}';
    }
}
