package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.math.BigDecimal;
import java.util.HashMap;

public class RecordData {

    /** 输送带宽度（mm）*/
    @JsonProperty("BeltWidth")
    private BigDecimal BeltWidth;

    /** 输送带布层 */
    @JsonProperty("BeltClothLayer")
    private Long BeltClothLayer;

    /** 客户要求输送带长度（m） */
    @JsonProperty("BeltRequiredLength")
    private BigDecimal BeltRequiredLength;

    /** 客户要求上胶厚度（mm） */
    @JsonProperty("GluingRequiredThickness")
    private BigDecimal GluingRequiredThickness;

    /** 客户要求下胶厚度（mm） */
    @JsonProperty("LowerGlueRequiredThickness")
    private BigDecimal LowerGlueRequiredThickness;

    /** 生产上胶厚度（mm） */
    @JsonProperty("ProductionGluingThickness")
    private BigDecimal ProductionGluingThickness;

    /** 上缓冲胶厚度（mm） */
    @JsonProperty("UpperBufferAdhesiveThickness")
    private BigDecimal UpperBufferAdhesiveThickness;

    /** 生产下胶厚度（mm） */
    @JsonProperty("ProductionLowerGlueThickness")
    private BigDecimal ProductionLowerGlueThickness;

    /** 下缓冲胶厚度（mm） */
    @JsonProperty("LowerBufferAdhesiveThickness")
    private BigDecimal LowerBufferAdhesiveThickness;

    /** 布胶厚度 */
    @JsonProperty("ClothGlueThickness")
    private BigDecimal ClothGlueThickness;

    /** 小布用布布层 */
    @JsonProperty("SmallClothFabricLayer")
    private BigDecimal SmallClothFabricLayer;

    /** 小布布料厚度（mm） */
    @JsonProperty("SmallClothThickness")
    private BigDecimal SmallClothThickness;

    /** 是否需要每层加厚 */
    @JsonProperty("IsNeedThicken")
    private String IsNeedThicken;

    /** 每层加厚厚度（mm） */
    @JsonProperty("EachLayerThickenThickness")
    private BigDecimal EachLayerThickenThickness;

    /** 额外加厚厚度（mm） */
    @JsonProperty("ExtraThickeningThickness")
    private BigDecimal ExtraThickeningThickness;

    /** 生产总厚度（mm） */
    @JsonProperty("TotalProductionThickness")
    private BigDecimal TotalProductionThickness;

    /** 压延追加厚度 */
    @JsonProperty("AdditionalThickness")
    private BigDecimal AdditionalThickness;

    /** 推荐垫铁厚度（mm） */
    @JsonProperty("RecommendedShimThickness")
    private BigDecimal RecommendedShimThickness;

    /** 推荐半成品宽度（mm） */
    @JsonProperty("SemiFinishedProductWidth")
    private BigDecimal SemiFinishedProductWidth;

    /** 压延生产米数（m） */
    @JsonProperty("RollingProductionMeters")
    private BigDecimal RollingProductionMeters;

    /** 推荐垫布宽度（mm） */
    @JsonProperty("RecommendedPadWidth")
    private BigDecimal RecommendedPadWidth;

    /** 大布厂家 */
    @JsonProperty("BigFabricManufacturer")
    private String BigFabricManufacturer;

    /** 布料规格 */
    @JsonProperty("FabricSpecifications")
    private Material FabricSpecifications;

    /** 预计布料使用量（m） */
    @JsonProperty("EstimatedFabricUsage")
    private BigDecimal EstimatedFabricUsage;

    /** 布宽度（mm） */
    @JsonProperty("ClothWidth")
    private BigDecimal ClothWidth;

    /** 布重量（kg） */
    @JsonProperty("ClothWeight")
    private BigDecimal ClothWeight;

    /** 小布使用布料规格 */
    @JsonProperty("SmallFabricSpecificationsDic")
    private Material SmallFabricSpecificationsDic;

    /** 小布宽度（mm） */
    @JsonProperty("SmallClothWidth")
    private BigDecimal SmallClothWidth;

    /** 小布布料使用量（m） */
    @JsonProperty("SmallClothUsage")
    private BigDecimal SmallClothUsage;

    /** 小布用布重量（kg） */
    @JsonProperty("SmallClothWeight")
    private BigDecimal SmallClothWeight;

    /** 用胶工艺 */
    @JsonProperty("GluingProcess")
    private String GluingProcess;

    /** 上下胶使用胶料 */
    @JsonProperty("UpperLowerGlue")
    private UpperLowerGlue UpperLowerGlue;

    /** 上下胶系数 */
    @JsonProperty("UpperLowerGlueCoefficient")
    private BigDecimal UpperLowerGlueCoefficient;

    /** 上下胶标准用胶量（kg） */
    @JsonProperty("UpperLowerGlueUsage")
    private BigDecimal UpperLowerGlueUsage;

    /** 下胶使用胶料 */
    @JsonProperty("LowerGlue")
    private HashMap<String, Object> LowerGlue;

    /** 下胶系数 */
    @JsonProperty("LowerGlueCoefficient")
    private BigDecimal LowerGlueCoefficient;

    /** 下胶标准用胶量（kg） */
    @JsonProperty("LowerGlueUsage")
    private BigDecimal LowerGlueUsage;

    /** 大布胶使用胶料 */
    @JsonProperty("LargeClothGlue")
    private HashMap<String, Object> LargeClothGlue;

    /** 大布胶系数 */
    @JsonProperty("LargeClothGlueCoefficient")
    private BigDecimal LargeClothGlueCoefficient;

    /** 胶布标准用胶量（kg） */
    @JsonProperty("LargeClothGlueUsage")
    private BigDecimal LargeClothGlueUsage;

    /** 上下缓冲胶标准用胶量（kg） */
    @JsonProperty("BufferGlueUsage")
    private BigDecimal BufferGlueUsage;

    /** 中间胶 */
    @JsonProperty("MiddleGlue")
    private HashMap<String, Object> MiddleGlue;

    /** 中间胶系数 */
    @JsonProperty("MiddleGlueCoefficient")
    private BigDecimal MiddleGlueCoefficient;

    /** 中间胶使用量 */
    @JsonProperty("MiddleGlueUsage")
    private BigDecimal MiddleGlueUsage;

    /** 小条宽度 */
    @JsonProperty("SmallBarWidth")
    private BigDecimal SmallBarWidth;

    /** 小条厚度 */
    @JsonProperty("SmallBarThickness")
    private BigDecimal SmallBarThickness;

    /** 小条标准使用量（kg） */
    @JsonProperty("SmallBarStandardUsage")
    private BigDecimal SmallBarStandardUsage;

    /** 成型面积 */
    @JsonProperty("FormingArea")
    private BigDecimal FormingArea;

    /** 压延包胶面积 */
    @JsonProperty("RollCoatingArea")
    private BigDecimal RollCoatingArea;

    /** 压延出布面积 */
    @JsonProperty("RolledFabricArea")
    private BigDecimal RolledFabricArea;

    /** 硫化面积 */
    @JsonProperty("SulfurizationArea")
    private BigDecimal SulfurizationArea;

    /** 大布面积 */
    @JsonProperty("LargeClothArea")
    private BigDecimal LargeClothArea;

    /** 小布面积 */
    @JsonProperty("SmallClothArea")
    private BigDecimal SmallClothArea;

    /** 输送带总面积 */
    @JsonProperty("BeltTotalArea")
    private BigDecimal BeltTotalArea;

    /** 裙边面积 */
    @JsonProperty("SkirtArea")
    private BigDecimal SkirtArea;

    /** 隔板面积 */
    @JsonProperty("PartitionArea")
    private BigDecimal PartitionArea;

    /** 挡边带总面积 */
    @JsonProperty("EdgeBandingTotalArea")
    private BigDecimal EdgeBandingTotalArea;

    /** 钢丝绳输送带工资总面积 */
    @JsonProperty("WireropeBeltTotalArea")
    private BigDecimal WireropeBeltTotalArea;

    /** 下单日期 */
    @JsonProperty("OrderDate")
    private String OrderDate;

    /** 交货日期 */
    @JsonProperty("DeliveryDate")
    private String DeliveryDate;

    /** 任务编号 */
    @JsonProperty("SeqNo")
    private String SeqNo;

    /** 产品类型 */
    @JsonProperty("ProductType")
    private String ProductType;

    /** 产品状态 */
    @JsonProperty("ProductStatus")
    private String ProductStatus;

    /** 订单所属 */
    @JsonProperty("OrderOwner")
    private String OrderOwner;

    /** 客户信息 */
    @JsonProperty("CustomerInfo")
    private String CustomerInfo;

    /** 输送带长度规格 */
    @JsonProperty("BeltLengthSpecifications")
    private String BeltLengthSpecifications;

    /** 面积与重量 */
    @JsonProperty("AreaAndWeight")
    private String AreaAndWeight;

    /** 使用原材料 */
    @JsonProperty("UsingRawMaterials")
    private String UsingRawMaterials;

    public BigDecimal getBeltWidth() {
        return BeltWidth;
    }

    public void setBeltWidth(BigDecimal beltWidth) {
        BeltWidth = beltWidth;
    }

    public Long getBeltClothLayer() {
        return BeltClothLayer;
    }

    public void setBeltClothLayer(Long beltClothLayer) {
        BeltClothLayer = beltClothLayer;
    }

    public BigDecimal getBeltRequiredLength() {
        return BeltRequiredLength;
    }

    public void setBeltRequiredLength(BigDecimal beltRequiredLength) {
        BeltRequiredLength = beltRequiredLength;
    }

    public BigDecimal getGluingRequiredThickness() {
        return GluingRequiredThickness;
    }

    public void setGluingRequiredThickness(BigDecimal gluingRequiredThickness) {
        GluingRequiredThickness = gluingRequiredThickness;
    }

    public BigDecimal getLowerGlueRequiredThickness() {
        return LowerGlueRequiredThickness;
    }

    public void setLowerGlueRequiredThickness(BigDecimal lowerGlueRequiredThickness) {
        LowerGlueRequiredThickness = lowerGlueRequiredThickness;
    }

    public BigDecimal getProductionGluingThickness() {
        return ProductionGluingThickness;
    }

    public void setProductionGluingThickness(BigDecimal productionGluingThickness) {
        ProductionGluingThickness = productionGluingThickness;
    }

    public BigDecimal getUpperBufferAdhesiveThickness() {
        return UpperBufferAdhesiveThickness;
    }

    public void setUpperBufferAdhesiveThickness(BigDecimal upperBufferAdhesiveThickness) {
        UpperBufferAdhesiveThickness = upperBufferAdhesiveThickness;
    }

    public BigDecimal getProductionLowerGlueThickness() {
        return ProductionLowerGlueThickness;
    }

    public void setProductionLowerGlueThickness(BigDecimal productionLowerGlueThickness) {
        ProductionLowerGlueThickness = productionLowerGlueThickness;
    }

    public BigDecimal getLowerBufferAdhesiveThickness() {
        return LowerBufferAdhesiveThickness;
    }

    public void setLowerBufferAdhesiveThickness(BigDecimal lowerBufferAdhesiveThickness) {
        LowerBufferAdhesiveThickness = lowerBufferAdhesiveThickness;
    }

    public BigDecimal getClothGlueThickness() {
        return ClothGlueThickness;
    }

    public void setClothGlueThickness(BigDecimal clothGlueThickness) {
        ClothGlueThickness = clothGlueThickness;
    }

    public BigDecimal getSmallClothFabricLayer() {
        return SmallClothFabricLayer;
    }

    public void setSmallClothFabricLayer(BigDecimal smallClothFabricLayer) {
        SmallClothFabricLayer = smallClothFabricLayer;
    }

    public BigDecimal getSmallClothThickness() {
        return SmallClothThickness;
    }

    public void setSmallClothThickness(BigDecimal smallClothThickness) {
        SmallClothThickness = smallClothThickness;
    }

    public String getIsNeedThicken() {
        return IsNeedThicken;
    }

    public void setIsNeedThicken(String isNeedThicken) {
        IsNeedThicken = isNeedThicken;
    }

    public BigDecimal getEachLayerThickenThickness() {
        return EachLayerThickenThickness;
    }

    public void setEachLayerThickenThickness(BigDecimal eachLayerThickenThickness) {
        EachLayerThickenThickness = eachLayerThickenThickness;
    }

    public BigDecimal getExtraThickeningThickness() {
        return ExtraThickeningThickness;
    }

    public void setExtraThickeningThickness(BigDecimal extraThickeningThickness) {
        ExtraThickeningThickness = extraThickeningThickness;
    }

    public BigDecimal getTotalProductionThickness() {
        return TotalProductionThickness;
    }

    public void setTotalProductionThickness(BigDecimal totalProductionThickness) {
        TotalProductionThickness = totalProductionThickness;
    }

    public BigDecimal getAdditionalThickness() {
        return AdditionalThickness;
    }

    public void setAdditionalThickness(BigDecimal additionalThickness) {
        AdditionalThickness = additionalThickness;
    }

    public BigDecimal getRecommendedShimThickness() {
        return RecommendedShimThickness;
    }

    public void setRecommendedShimThickness(BigDecimal recommendedShimThickness) {
        RecommendedShimThickness = recommendedShimThickness;
    }

    public BigDecimal getSemiFinishedProductWidth() {
        return SemiFinishedProductWidth;
    }

    public void setSemiFinishedProductWidth(BigDecimal semiFinishedProductWidth) {
        SemiFinishedProductWidth = semiFinishedProductWidth;
    }

    public BigDecimal getRollingProductionMeters() {
        return RollingProductionMeters;
    }

    public void setRollingProductionMeters(BigDecimal rollingProductionMeters) {
        RollingProductionMeters = rollingProductionMeters;
    }

    public BigDecimal getRecommendedPadWidth() {
        return RecommendedPadWidth;
    }

    public void setRecommendedPadWidth(BigDecimal recommendedPadWidth) {
        RecommendedPadWidth = recommendedPadWidth;
    }

    public String getBigFabricManufacturer() {
        return BigFabricManufacturer;
    }

    public void setBigFabricManufacturer(String bigFabricManufacturer) {
        BigFabricManufacturer = bigFabricManufacturer;
    }

    public Material getFabricSpecifications() {
        return FabricSpecifications;
    }

    public void setFabricSpecifications(Material fabricSpecifications) {
        FabricSpecifications = fabricSpecifications;
    }

    public BigDecimal getEstimatedFabricUsage() {
        return EstimatedFabricUsage;
    }

    public void setEstimatedFabricUsage(BigDecimal estimatedFabricUsage) {
        EstimatedFabricUsage = estimatedFabricUsage;
    }

    public BigDecimal getClothWidth() {
        return ClothWidth;
    }

    public void setClothWidth(BigDecimal clothWidth) {
        ClothWidth = clothWidth;
    }

    public BigDecimal getClothWeight() {
        return ClothWeight;
    }

    public void setClothWeight(BigDecimal clothWeight) {
        ClothWeight = clothWeight;
    }

    public Material getSmallFabricSpecificationsDic() {
        return SmallFabricSpecificationsDic;
    }

    public void setSmallFabricSpecificationsDic(Material smallFabricSpecificationsDic) {
        SmallFabricSpecificationsDic = smallFabricSpecificationsDic;
    }

    public BigDecimal getSmallClothWidth() {
        return SmallClothWidth;
    }

    public void setSmallClothWidth(BigDecimal smallClothWidth) {
        SmallClothWidth = smallClothWidth;
    }

    public BigDecimal getSmallClothUsage() {
        return SmallClothUsage;
    }

    public void setSmallClothUsage(BigDecimal smallClothUsage) {
        SmallClothUsage = smallClothUsage;
    }

    public BigDecimal getSmallClothWeight() {
        return SmallClothWeight;
    }

    public void setSmallClothWeight(BigDecimal smallClothWeight) {
        SmallClothWeight = smallClothWeight;
    }

    public String getGluingProcess() {
        return GluingProcess;
    }

    public void setGluingProcess(String gluingProcess) {
        GluingProcess = gluingProcess;
    }

    public UpperLowerGlue getUpperLowerGlue() {
        return UpperLowerGlue;
    }

    public void setUpperLowerGlue(UpperLowerGlue upperLowerGlue) {
        UpperLowerGlue = upperLowerGlue;
    }

    public BigDecimal getUpperLowerGlueCoefficient() {
        return UpperLowerGlueCoefficient;
    }

    public void setUpperLowerGlueCoefficient(BigDecimal upperLowerGlueCoefficient) {
        UpperLowerGlueCoefficient = upperLowerGlueCoefficient;
    }

    public BigDecimal getUpperLowerGlueUsage() {
        return UpperLowerGlueUsage;
    }

    public void setUpperLowerGlueUsage(BigDecimal upperLowerGlueUsage) {
        UpperLowerGlueUsage = upperLowerGlueUsage;
    }

    public HashMap<String, Object> getLowerGlue() {
        return LowerGlue;
    }

    public void setLowerGlue(HashMap<String, Object> lowerGlue) {
        LowerGlue = lowerGlue;
    }

    public BigDecimal getLowerGlueCoefficient() {
        return LowerGlueCoefficient;
    }

    public void setLowerGlueCoefficient(BigDecimal lowerGlueCoefficient) {
        LowerGlueCoefficient = lowerGlueCoefficient;
    }

    public BigDecimal getLowerGlueUsage() {
        return LowerGlueUsage;
    }

    public void setLowerGlueUsage(BigDecimal lowerGlueUsage) {
        LowerGlueUsage = lowerGlueUsage;
    }

    public HashMap<String, Object> getLargeClothGlue() {
        return LargeClothGlue;
    }

    public void setLargeClothGlue(HashMap<String, Object> largeClothGlue) {
        LargeClothGlue = largeClothGlue;
    }

    public BigDecimal getLargeClothGlueCoefficient() {
        return LargeClothGlueCoefficient;
    }

    public void setLargeClothGlueCoefficient(BigDecimal largeClothGlueCoefficient) {
        LargeClothGlueCoefficient = largeClothGlueCoefficient;
    }

    public BigDecimal getLargeClothGlueUsage() {
        return LargeClothGlueUsage;
    }

    public void setLargeClothGlueUsage(BigDecimal largeClothGlueUsage) {
        LargeClothGlueUsage = largeClothGlueUsage;
    }

    public BigDecimal getBufferGlueUsage() {
        return BufferGlueUsage;
    }

    public void setBufferGlueUsage(BigDecimal bufferGlueUsage) {
        BufferGlueUsage = bufferGlueUsage;
    }

    public HashMap<String, Object> getMiddleGlue() {
        return MiddleGlue;
    }

    public void setMiddleGlue(HashMap<String, Object> middleGlue) {
        MiddleGlue = middleGlue;
    }

    public BigDecimal getMiddleGlueCoefficient() {
        return MiddleGlueCoefficient;
    }

    public void setMiddleGlueCoefficient(BigDecimal middleGlueCoefficient) {
        MiddleGlueCoefficient = middleGlueCoefficient;
    }

    public BigDecimal getMiddleGlueUsage() {
        return MiddleGlueUsage;
    }

    public void setMiddleGlueUsage(BigDecimal middleGlueUsage) {
        MiddleGlueUsage = middleGlueUsage;
    }

    public BigDecimal getSmallBarWidth() {
        return SmallBarWidth;
    }

    public void setSmallBarWidth(BigDecimal smallBarWidth) {
        SmallBarWidth = smallBarWidth;
    }

    public BigDecimal getSmallBarThickness() {
        return SmallBarThickness;
    }

    public void setSmallBarThickness(BigDecimal smallBarThickness) {
        SmallBarThickness = smallBarThickness;
    }

    public BigDecimal getSmallBarStandardUsage() {
        return SmallBarStandardUsage;
    }

    public void setSmallBarStandardUsage(BigDecimal smallBarStandardUsage) {
        SmallBarStandardUsage = smallBarStandardUsage;
    }

    public BigDecimal getFormingArea() {
        return FormingArea;
    }

    public void setFormingArea(BigDecimal formingArea) {
        FormingArea = formingArea;
    }

    public BigDecimal getRollCoatingArea() {
        return RollCoatingArea;
    }

    public void setRollCoatingArea(BigDecimal rollCoatingArea) {
        RollCoatingArea = rollCoatingArea;
    }

    public BigDecimal getRolledFabricArea() {
        return RolledFabricArea;
    }

    public void setRolledFabricArea(BigDecimal rolledFabricArea) {
        RolledFabricArea = rolledFabricArea;
    }

    public BigDecimal getSulfurizationArea() {
        return SulfurizationArea;
    }

    public void setSulfurizationArea(BigDecimal sulfurizationArea) {
        SulfurizationArea = sulfurizationArea;
    }

    public BigDecimal getLargeClothArea() {
        return LargeClothArea;
    }

    public void setLargeClothArea(BigDecimal largeClothArea) {
        LargeClothArea = largeClothArea;
    }

    public BigDecimal getSmallClothArea() {
        return SmallClothArea;
    }

    public void setSmallClothArea(BigDecimal smallClothArea) {
        SmallClothArea = smallClothArea;
    }

    public BigDecimal getBeltTotalArea() {
        return BeltTotalArea;
    }

    public void setBeltTotalArea(BigDecimal beltTotalArea) {
        BeltTotalArea = beltTotalArea;
    }

    public BigDecimal getSkirtArea() {
        return SkirtArea;
    }

    public void setSkirtArea(BigDecimal skirtArea) {
        SkirtArea = skirtArea;
    }

    public BigDecimal getPartitionArea() {
        return PartitionArea;
    }

    public void setPartitionArea(BigDecimal partitionArea) {
        PartitionArea = partitionArea;
    }

    public BigDecimal getEdgeBandingTotalArea() {
        return EdgeBandingTotalArea;
    }

    public void setEdgeBandingTotalArea(BigDecimal edgeBandingTotalArea) {
        EdgeBandingTotalArea = edgeBandingTotalArea;
    }

    public BigDecimal getWireropeBeltTotalArea() {
        return WireropeBeltTotalArea;
    }

    public void setWireropeBeltTotalArea(BigDecimal wireropeBeltTotalArea) {
        WireropeBeltTotalArea = wireropeBeltTotalArea;
    }

    public String getOrderDate() {
        return OrderDate;
    }

    public void setOrderDate(String orderDate) {
        OrderDate = orderDate;
    }

    public String getDeliveryDate() {
        return DeliveryDate;
    }

    public void setDeliveryDate(String deliveryDate) {
        DeliveryDate = deliveryDate;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setSeqNo(String seqNo) {
        SeqNo = seqNo;
    }

    public String getProductType() {
        return ProductType;
    }

    public void setProductType(String productType) {
        ProductType = productType;
    }

    public String getProductStatus() {
        return ProductStatus;
    }

    public void setProductStatus(String productStatus) {
        ProductStatus = productStatus;
    }

    public String getOrderOwner() {
        return OrderOwner;
    }

    public void setOrderOwner(String orderOwner) {
        OrderOwner = orderOwner;
    }

    public String getCustomerInfo() {
        return CustomerInfo;
    }

    public void setCustomerInfo(String customerInfo) {
        CustomerInfo = customerInfo;
    }

    public String getBeltLengthSpecifications() {
        return BeltLengthSpecifications;
    }

    public void setBeltLengthSpecifications(String beltLengthSpecifications) {
        BeltLengthSpecifications = beltLengthSpecifications;
    }

    public String getAreaAndWeight() {
        return AreaAndWeight;
    }

    public void setAreaAndWeight(String areaAndWeight) {
        AreaAndWeight = areaAndWeight;
    }

    public String getUsingRawMaterials() {
        return UsingRawMaterials;
    }

    public void setUsingRawMaterials(String usingRawMaterials) {
        UsingRawMaterials = usingRawMaterials;
    }
}
