package com.os.mes.api.utils;




import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;


/**
 * @Author YinQ
 * @create 2023-10-12 10:52
 */
public class ApiUtils {


    /**
     * POST请求json格式
     * @param apiUrl
     * @param jsonData
     * @return
     */
    public static String sendERPHttpPost(String apiUrl, String jsonData) {
        try {
            // 构建POST请求
            HttpRequest request = HttpRequest.post(apiUrl)
                    .header("EngineCode", ERPConstants.EngineCode)
                    .header("EngineSecret", ERPConstants.EngineSecret)
                    .body(jsonData)  // 设置JSON格式的请求体
                    .contentType("application/json")  // 设置Content-Type为application/json
                    .setConnectionTimeout(1000 * 60 * 10)  // 设置请求连接超时时间
                    ;

            // 发送POST请求
            HttpResponse httpResponse = request.execute();

            // 获取响应内容
            return httpResponse.body();
        } catch (Exception e) {
            // 捕获异常并重新抛出自定义异常
            throw new RuntimeException("Failed to send ERP HTTP POST request: " + e.getMessage(), e);
        }

    }
}
