package com.os.mes.prod.mapper;

import java.util.List;

import com.os.mes.prod.domain.ProdPlanInfo;

/**
 * 生产工单Mapper接口
 *
 * @author Yinq
 * @date 2024-06-03
 */
public interface ProdPlanInfoMapper {
    /**
     * 查询生产工单
     *
     * @param objId 生产工单主键
     * @return 生产工单
     */
    public ProdPlanInfo selectProdPlanInfoByObjId(Long objId);

    /**
     * 查询生产工单列表
     *
     * @param prodPlanInfo 生产工单
     * @return 生产工单集合
     */
    public List<ProdPlanInfo> selectProdPlanInfoList(ProdPlanInfo prodPlanInfo);

    /**
     * 新增生产工单
     *
     * @param prodPlanInfo 生产工单
     * @return 结果
     */
    public int insertProdPlanInfo(ProdPlanInfo prodPlanInfo);

    /**
     * 修改生产工单
     *
     * @param prodPlanInfo 生产工单
     * @return 结果
     */
    public int updateProdPlanInfo(ProdPlanInfo prodPlanInfo);

    /**
     * 删除生产工单
     *
     * @param objId 生产工单主键
     * @return 结果
     */
    public int deleteProdPlanInfoByObjId(Long objId);

    /**
     * 批量删除生产工单
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProdPlanInfoByObjIds(Long[] objIds);

    /**
     * 查询生产工单与明细列表
     *
     * @param prodPlanInfo 生产工单
     * @return 生产工单集合
     */
    public List<ProdPlanInfo> selectProdPlanAndDetailList(ProdPlanInfo prodPlanInfo);
}
