package com.os.mes.prod.service;

import java.util.List;

import com.os.mes.prod.domain.ProdOrderDetail;

/**
 * 订单明细Service接口
 *
 * @author Yinq
 * @date 2024-06-13
 */
public interface IProdOrderDetailService {
    /**
     * 查询订单明细
     *
     * @param objId 订单明细主键
     * @return 订单明细
     */
    public ProdOrderDetail selectProdOrderDetailByObjId(Long objId);

    /**
     * 查询订单明细列表
     *
     * @param prodOrderDetail 订单明细
     * @return 订单明细集合
     */
    public List<ProdOrderDetail> selectProdOrderDetailList(ProdOrderDetail prodOrderDetail);

    /**
     * 新增订单明细
     *
     * @param prodOrderDetail 订单明细
     * @return 结果
     */
    public int insertProdOrderDetail(ProdOrderDetail prodOrderDetail);

    /**
     * 修改订单明细
     *
     * @param prodOrderDetail 订单明细
     * @return 结果
     */
    public int updateProdOrderDetail(ProdOrderDetail prodOrderDetail);

    /**
     * 批量删除订单明细
     *
     * @param objIds 需要删除的订单明细主键集合
     * @return 结果
     */
    public int deleteProdOrderDetailByObjIds(Long[] objIds);

    /**
     * 删除订单明细信息
     *
     * @param objId 订单明细主键
     * @return 结果
     */
    public int deleteProdOrderDetailByObjId(Long objId);
}
