package com.os.mes.record.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 员工工资记录对象 record_staff_salary
 * 
 * @author Yinq
 * @date 2024-07-02
 */
public class RecordStaffSalary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long objId;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 班组编号 */
    @Excel(name = "班组编号")
    private String groupId;

    /** 事件日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "事件日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date eventDate;

    /** 薪资类别 */
    @Excel(name = "薪资类别")
    private String salaryCategory;

    /** 收入大类 */
    @Excel(name = "收入大类")
    private String revenueClass;

    /** 收入金额 */
    @Excel(name = "收入金额")
    private BigDecimal revenueAmount;

    /** 收入理由 */
    @Excel(name = "收入理由")
    private String revenueReason;

    /** 扣罚大类 */
    @Excel(name = "扣罚大类")
    private String fineClass;

    /** 扣罚金额 */
    @Excel(name = "扣罚金额")
    private BigDecimal fineAmount;

    /** 扣罚理由 */
    @Excel(name = "扣罚理由")
    private String fineReason;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String taskCode;

    /** 工资系数 */
    @Excel(name = "工资系数")
    private BigDecimal salaryCoefficient;

    /**
     * 员工名称
     */
    @Excel(name = "员工名称")
    private String staffName;

    /**
     * 员工卡号
     */
    @Excel(name = "员工卡号")
    private String cardId;

    /**
     * 班组名称
     */
    @Excel(name = "班组名称")
    private String teamName;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** ERP数据的ObjectId */
    private String objectId;

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setGroupId(String groupId) 
    {
        this.groupId = groupId;
    }

    public String getGroupId() 
    {
        return groupId;
    }
    public void setEventDate(Date eventDate) 
    {
        this.eventDate = eventDate;
    }

    public Date getEventDate() 
    {
        return eventDate;
    }
    public void setSalaryCategory(String salaryCategory) 
    {
        this.salaryCategory = salaryCategory;
    }

    public String getSalaryCategory() 
    {
        return salaryCategory;
    }
    public void setRevenueClass(String revenueClass) 
    {
        this.revenueClass = revenueClass;
    }

    public String getRevenueClass() 
    {
        return revenueClass;
    }
    public void setRevenueAmount(BigDecimal revenueAmount)
    {
        this.revenueAmount = revenueAmount;
    }

    public BigDecimal getRevenueAmount()
    {
        return revenueAmount;
    }
    public void setRevenueReason(String revenueReason) 
    {
        this.revenueReason = revenueReason;
    }

    public String getRevenueReason() 
    {
        return revenueReason;
    }
    public void setFineClass(String fineClass) 
    {
        this.fineClass = fineClass;
    }

    public String getFineClass() 
    {
        return fineClass;
    }
    public void setFineAmount(BigDecimal fineAmount)
    {
        this.fineAmount = fineAmount;
    }

    public BigDecimal getFineAmount()
    {
        return fineAmount;
    }
    public void setFineReason(String fineReason) 
    {
        this.fineReason = fineReason;
    }

    public String getFineReason() 
    {
        return fineReason;
    }
    public void setTaskCode(String taskCode) 
    {
        this.taskCode = taskCode;
    }

    public String getTaskCode() 
    {
        return taskCode;
    }
    public void setSalaryCoefficient(BigDecimal salaryCoefficient)
    {
        this.salaryCoefficient = salaryCoefficient;
    }

    public BigDecimal getSalaryCoefficient()
    {
        return salaryCoefficient;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("idCard", getIdCard())
            .append("groupId", getGroupId())
            .append("eventDate", getEventDate())
            .append("salaryCategory", getSalaryCategory())
            .append("revenueClass", getRevenueClass())
            .append("revenueAmount", getRevenueAmount())
            .append("revenueReason", getRevenueReason())
            .append("fineClass", getFineClass())
            .append("fineAmount", getFineAmount())
            .append("fineReason", getFineReason())
            .append("createTime", getCreateTime())
            .append("taskCode", getTaskCode())
            .append("salaryCoefficient", getSalaryCoefficient())
            .toString();
    }
}
