package com.os.mes.record.service;

import java.util.List;

import com.os.mes.record.domain.RecordStaffAttendance;

/**
 * 员工打卡记录Service接口
 *
 * @author Yinq
 * @date 2024-05-24
 */
public interface IRecordStaffAttendanceService {
    /**
     * 查询员工打卡记录
     *
     * @param objId 员工打卡记录主键
     * @return 员工打卡记录
     */
    public RecordStaffAttendance selectRecordStaffAttendanceByObjId(Long objId);

    /**
     * 查询员工打卡记录列表
     *
     * @param recordStaffAttendance 员工打卡记录
     * @return 员工打卡记录集合
     */
    public List<RecordStaffAttendance> selectRecordStaffAttendanceList(RecordStaffAttendance recordStaffAttendance);

    /**
     * 新增员工打卡记录
     *
     * @param recordStaffAttendance 员工打卡记录
     * @return 结果
     */
    public int insertRecordStaffAttendance(RecordStaffAttendance recordStaffAttendance);

    /**
     * 修改员工打卡记录
     *
     * @param recordStaffAttendance 员工打卡记录
     * @return 结果
     */
    public int updateRecordStaffAttendance(RecordStaffAttendance recordStaffAttendance);

    /**
     * 批量删除员工打卡记录
     *
     * @param objIds 需要删除的员工打卡记录主键集合
     * @return 结果
     */
    public int deleteRecordStaffAttendanceByObjIds(Long[] objIds);

    /**
     * 删除员工打卡记录信息
     *
     * @param objId 员工打卡记录主键
     * @return 结果
     */
    public int deleteRecordStaffAttendanceByObjId(Long objId);
}
