package com.os.mes.record.service;

import java.util.List;

import com.os.mes.record.domain.RecordStaffSalary;

/**
 * 员工工资记录Service接口
 *
 * @author Yinq
 * @date 2024-07-02
 */
public interface IRecordStaffSalaryService {
    /**
     * 查询员工工资记录
     *
     * @param objId 员工工资记录主键
     * @return 员工工资记录
     */
    public RecordStaffSalary selectRecordStaffSalaryByObjId(Long objId);

    /**
     * 查询员工工资记录列表
     *
     * @param recordStaffSalary 员工工资记录
     * @return 员工工资记录集合
     */
    public List<RecordStaffSalary> selectRecordStaffSalaryList(RecordStaffSalary recordStaffSalary);

    /**
     * 新增员工工资记录
     *
     * @param recordStaffSalary 员工工资记录
     * @return 结果
     */
    public int insertRecordStaffSalary(RecordStaffSalary recordStaffSalary);

    /**
     * 修改员工工资记录
     *
     * @param recordStaffSalary 员工工资记录
     * @return 结果
     */
    public int updateRecordStaffSalary(RecordStaffSalary recordStaffSalary);

    /**
     * 批量删除员工工资记录
     *
     * @param objIds 需要删除的员工工资记录主键集合
     * @return 结果
     */
    public int deleteRecordStaffSalaryByObjIds(Long[] objIds);

    /**
     * 删除员工工资记录信息
     *
     * @param objId 员工工资记录主键
     * @return 结果
     */
    public int deleteRecordStaffSalaryByObjId(Long objId);

    /**
     * 生成班组员工工资
     * @param recordStaffSalary
     * @return
     */
    List<RecordStaffSalary> selectTeamEmployeesWages(RecordStaffSalary recordStaffSalary);

    /**
     * 维护员工工资记录
     * 上传ERP
     * @param recordStaffSalaryList
     * @return
     */
    public int uploadERPStaffSalary(List<RecordStaffSalary> recordStaffSalaryList);
}
